Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.transport.kex
Class DhGroup1Sha1

    java.lang.Object
      com.sshtools.j2ssh.transport.kex.SshKeyExchange
          com.sshtools.j2ssh.transport.kex.DhGroup1Sha1

public class DhGroup1Sha1
extends SshKeyExchange

DOCUMENT ME!

Field Summary

Fields inherited from class com.sshtools.j2ssh.transport.kex.SshKeyExchange
`exchangeHash, hostKey, messageStore, secret, signature, transport`

Constructor Summary
`DhGroup1Sha1()` Creates a new DhGroup1Sha1 object.

Method Summary
`protected void` | `calculateExchangeHash()` DOCUMENT ME!
`protected void` | `onInit()` DOCUMENT ME!
`void` | `performClientExchange(java.lang.String clientId, java.lang.String serverId, byte[] clientKexInit, byte[] serverKexInit)` DOCUMENT ME!
`void` | `performServerExchange(java.lang.String clientId, java.lang.String serverId, byte[] clientKexInit, byte[] serverKexInit, SshPrivateKey prvKey)` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.transport.kex.SshKeyExchange
`getExchangeHash, getHostKey, getSecret, getSignature, init, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DhGroup1Sha1

    public DhGroup1Sha1()

  Creates a new DhGroup1Sha1 object.

Method Detail

### onInit

    protected void onInit()
                   throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `onInit` in class `SshKeyExchange`
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `AlgorithmNotSupportedException` - DOCUMENT ME!

### performClientExchange

    public void performClientExchange(java.lang.String clientId,
                                      java.lang.String serverId,
                                      byte[] clientKexInit,
                                      byte[] serverKexInit)
                               throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `performClientExchange` in class `SshKeyExchange`
  Parameters:
    `clientId` - DOCUMENT ME!
    `serverId` - DOCUMENT ME!
    `clientKexInit` - DOCUMENT ME!
    `serverKexInit` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `AlgorithmOperationException` - DOCUMENT ME!
    `KeyExchangeException` - DOCUMENT ME!

### performServerExchange

    public void performServerExchange(java.lang.String clientId,
                                      java.lang.String serverId,
                                      byte[] clientKexInit,
                                      byte[] serverKexInit,
                                      SshPrivateKey prvKey)
                               throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `performServerExchange` in class `SshKeyExchange`
  Parameters:
    `clientId` - DOCUMENT ME!
    `serverId` - DOCUMENT ME!
    `clientKexInit` - DOCUMENT ME!
    `serverKexInit` - DOCUMENT ME!
    `prvKey` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `KeyExchangeException` - DOCUMENT ME!

### calculateExchangeHash

    protected void calculateExchangeHash()
                                  throws KeyExchangeException

  DOCUMENT ME!

  Throws:
    `KeyExchangeException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD